Subject: bug#35353: 26.2; Buffer *xref*: (1) hard-coded mouse-1, (2) major mode name

From: Eli Zaretskii <[email-masked]>
Date: Mon, 22 Apr 2019 14:20:13 +0300

> Date: Mon, 22 Apr 2019 04:07:54 -0700 (PDT)
> From: Drew Adams <[email-masked]>
> Cc: [email-masked]
> 
> > > > So we already support mouse-1 clicks, don't we?  Or am I again missing
> > > > something?
> > >
> > > Yes, but apparently we don't honor mouse-1-click-follows-link.
> > 
> > FWIW, I don't see that as a serious issue in this case.  Feel free to
> > close as wontfix, if you want.
> 
> Seriously?  Mouse-2 was the original way to follow
> links.  And ubiquitously in Emacs users need to be
> able to set point.  They should be able to do so
> using `mouse-1'.

FWIW, I see no important reasons to set point in XREF buffers by
clicking the mouse.

> Not to mention that this violates the explicit Emacs
> convention (cited earlier).

It doesn't, your citation is not necessarily relevant to the issue at
hand.